---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libearlyretlong.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4E918, symBinAddr: 0xC340, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x50858, symBinAddr: 0xE280, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x50C40, symBinAddr: 0xE668, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x51BE0, symBinAddr: 0xF608, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x51BE8, symBinAddr: 0xF610, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4E430, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4E434, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4E438, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4E588, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4E640, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4E644, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4E648, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4E64C, symBinAddr: 0xC15C, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4E650, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4E658, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4E670, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4E678, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4E680, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4E688, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4E690, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL7errCode, symObjAddr: 0x4E6D4, symBinAddr: 0xC1B4, symSize: 0x0 }
  - { offsetInCU: 0x90B5, offset: 0x90B5, size: 0x8, addend: 0x0, symName: __ZL20methodExitEventCount, symObjAddr: 0x4E6D8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x90CE, offset: 0x90CE, size: 0x8, addend: 0x0, symName: __ZL11framesCount, symObjAddr: 0x4E6DC, symBinAddr: 0xC1BC, symSize: 0x0 }
  - { offsetInCU: 0x90E7, offset: 0x90E7, size: 0x8, addend: 0x0, symName: __ZL13midCheckPoint, symObjAddr: 0x4E6E0, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9100, offset: 0x9100, size: 0x8, addend: 0x0, symName: __ZL6midRun, symObjAddr: 0x4E6E8, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x9119, offset: 0x9119, size: 0x8, addend: 0x0, symName: __ZL16midCountDownLong, symObjAddr: 0x4E6F0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9132, offset: 0x9132, size: 0x8, addend: 0x0, symName: __ZL7val_exp, symObjAddr: 0x4E6F8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x914B, offset: 0x914B, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4E700, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9164, offset: 0x9164, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4E710, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x917D, offset: 0x917D, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x4E720, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x9196, offset: 0x9196, size: 0x8, addend: 0x0, symName: __ZL14framesExpected, symObjAddr: 0x4E858, symBinAddr: 0xC338, symSize: 0x0 }
  - { offsetInCU: 0x91ED, offset: 0x91ED, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x3D90, symSize: 0xA0 }
  - { offsetInCU: 0x9282, offset: 0x9282, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x3D68, symSize: 0x28 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x3CE8, symSize: 0x80 }
  - { offsetInCU: 0x9579, offset: 0x9579, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3E30, symSize: 0x20C }
  - { offsetInCU: 0x9732, offset: 0x9732, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x403C, symSize: 0x28 }
  - { offsetInCU: 0x97FB, offset: 0x97FB, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x4064, symSize: 0xB0 }
  - { offsetInCU: 0x98F2, offset: 0x98F2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x4114, symSize: 0xD8 }
  - { offsetInCU: 0x9A17, offset: 0x9A17, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x41EC, symSize: 0x24 }
  - { offsetInCU: 0x9AFA, offset: 0x9AFA, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x4210, symSize: 0x168 }
  - { offsetInCU: 0x9CD6, offset: 0x9CD6, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x4378, symSize: 0x104 }
  - { offsetInCU: 0x9E53, offset: 0x9E53, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x447C, symSize: 0x154 }
  - { offsetInCU: 0xA037, offset: 0xA037, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x45D0, symSize: 0xAC }
  - { offsetInCU: 0xA10C, offset: 0xA10C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x467C, symSize: 0x14 }
  - { offsetInCU: 0xA145, offset: 0xA145, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x4690, symSize: 0x14 }
  - { offsetInCU: 0xA17E, offset: 0xA17E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x46A4, symSize: 0x14 }
  - { offsetInCU: 0xA33F, offset: 0xA33F, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x46B8, symSize: 0x1A8 }
  - { offsetInCU: 0xA653, offset: 0xA653, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4860, symSize: 0x9C }
  - { offsetInCU: 0xA710, offset: 0xA710, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x48FC, symSize: 0x690 }
  - { offsetInCU: 0xB2A2, offset: 0xB2A2, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x98BC, symBinAddr: 0x6284, symSize: 0x30 }
  - { offsetInCU: 0xB32E, offset: 0xB32E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x4F8C, symSize: 0x74 }
  - { offsetInCU: 0xB46E, offset: 0xB46E, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x5000, symSize: 0xB0 }
  - { offsetInCU: 0xB5C5, offset: 0xB5C5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x50B0, symSize: 0x3C }
  - { offsetInCU: 0xB6BB, offset: 0xB6BB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x50EC, symSize: 0x29C }
  - { offsetInCU: 0xB9FE, offset: 0xB9FE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x5388, symSize: 0xD0 }
  - { offsetInCU: 0xBB2C, offset: 0xBB2C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x5458, symSize: 0xC }
  - { offsetInCU: 0xBBEE, offset: 0xBBEE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5464, symSize: 0x22C }
  - { offsetInCU: 0xBEA9, offset: 0xBEA9, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5690, symSize: 0x4 }
  - { offsetInCU: 0xBEED, offset: 0xBEED, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5690, symSize: 0x4 }
  - { offsetInCU: 0xBF06, offset: 0xBF06, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5694, symSize: 0x1D8 }
  - { offsetInCU: 0xC0E1, offset: 0xC0E1, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8EA4, symBinAddr: 0x586C, symSize: 0x4 }
  - { offsetInCU: 0xC125, offset: 0xC125, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8EA4, symBinAddr: 0x586C, symSize: 0x4 }
  - { offsetInCU: 0xC1BA, offset: 0xC1BA, size: 0x8, addend: 0x0, symName: _check, symObjAddr: 0x8EA8, symBinAddr: 0x5870, symSize: 0x444 }
  - { offsetInCU: 0xC63B, offset: 0xC63B, size: 0x8, addend: 0x0, symName: _Breakpoint, symObjAddr: 0x92EC, symBinAddr: 0x5CB4, symSize: 0x13C }
  - { offsetInCU: 0xC835, offset: 0xC835, size: 0x8, addend: 0x0, symName: _SingleStep, symObjAddr: 0x9428, symBinAddr: 0x5DF0, symSize: 0x154 }
  - { offsetInCU: 0xC9DB, offset: 0xC9DB, size: 0x8, addend: 0x0, symName: _MethodExit, symObjAddr: 0x957C, symBinAddr: 0x5F44, symSize: 0xCC }
  - { offsetInCU: 0xCA81, offset: 0xCA81, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretlong_getReady, symObjAddr: 0x9648, symBinAddr: 0x6010, symSize: 0x1D4 }
  - { offsetInCU: 0xCC8F, offset: 0xCC8F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretlong_printLong, symObjAddr: 0x981C, symBinAddr: 0x61E4, symSize: 0x34 }
  - { offsetInCU: 0xCCF5, offset: 0xCCF5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_ForceEarlyReturn_earlyretlong_check, symObjAddr: 0x9850, symBinAddr: 0x6218, symSize: 0x6C }
  - { offsetInCU: 0xCD44, offset: 0xCD44, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x98EC, symBinAddr: 0x62B4, symSize: 0x358 }
...
